"Spaminator" plugin for Wordpress

apps

#1

Has anyone here tried to install the “Spaminator” plugin for Wordpress?

Upon installing it and then attempting to leave a comment on my own nascent blog (www.stevegerber.com/sgblog) I get a screen full of this:


Warning: parse_url(http://): Unable to parse url in /home/.orloff/sgerber/stevegerber.com/sgblog/wp-content/plugins/kittens-spaminator.php on line 355

Warning: Cannot modify header information - headers already sent by (output started at /home/.orloff/sgerber/stevegerber.com/sgblog/wp-content/plugins/kittens-spaminator.php:355) in /home/.orloff/sgerber/stevegerber.com/sgblog/wp-comments-post.php on line 48


And that message repeats on through line 59.

Can anybody give me a clue what’s happening here?

Thanks.

–Steve


#2

You should probably contact the plugin developer, but did you correctly follow the installation instructions?


MacManX.com
I don’t work here. I’m just your typical support forum volunteer.


#3

The instructions were pretty simple: copy a php file into the plugins directory.


#4

Not saying this is the cause in your case.

But, when I’ve gotten the “headers already sent message” more often then not, it was because of extra whitespace at the end of my php files.

Edit the two files mentioned, and after the last ?> make sure that there is no spaces. Save the files and then reload your site.


#5

Unfortunately, that headers already sent error is caused by the parse error before it.


MacManX.com
I don’t work here. I’m just your typical support forum volunteer.


#6

I sent a note to the plugin author. We’ll see what happens.

Interestingly, I’m having similar problems with an entirely different plugin, which leads me to wonder where the problem actually lies. I’m starting to think it’s the server.